# Generated by Django 3.2.4 on 2024-07-18 20:29

import badi_utils.dynamic_models
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='BankTransaction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('authority', models.CharField(max_length=255, unique=True, verbose_name='Authority')),
                ('description', models.TextField(blank=True, validators=[django.core.validators.MaxLengthValidator(1200)], verbose_name='Description')),
                ('is_verified', models.BooleanField(default=False, verbose_name='is Verified')),
                ('ref_id', models.CharField(blank=True, max_length=255, null=True, verbose_name='RefID')),
                ('card_hash', models.CharField(blank=True, max_length=255, null=True, verbose_name='Card Hash')),
                ('order_id', models.CharField(blank=True, max_length=50, null=True)),
                ('amount', models.BigIntegerField(default=0, verbose_name='Amount')),
                ('info', models.TextField(blank=True, verbose_name='Info')),
                ('data', models.TextField(blank=True, verbose_name='Bank Response')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bank_transactions', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Bank Transaction',
                'verbose_name_plural': 'Bank Transaction',
                'permissions': (('can_bank_transaction', 'مدیریت تراکنش بانکی'),),
            },
            bases=(models.Model, badi_utils.dynamic_models.BadiModel),
        ),
        migrations.CreateModel(
            name='DiscountCode',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('$', 'Money'), ('%', 'Percent')], max_length=10, verbose_name='Type')),
                ('work_on', models.CharField(choices=[('all', 'all')], default='all', max_length=100, verbose_name='Work on')),
                ('code', models.CharField(max_length=10, unique=True, verbose_name='Code')),
                ('amount', models.BigIntegerField(default=0, validators=[django.core.validators.MinValueValidator(0)], verbose_name='Amount')),
                ('percent', models.IntegerField(default=0, validators=[django.core.validators.MaxValueValidator(101), django.core.validators.MinValueValidator(-1)], verbose_name='Percent')),
                ('use_count', models.IntegerField(default=0, verbose_name='Use count')),
                ('use_max', models.IntegerField(default=1, verbose_name='Use max')),
                ('expire_date', models.DateField(verbose_name='Expire Date')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
            ],
            options={
                'verbose_name': 'DiscountCode',
                'verbose_name_plural': 'DiscountCodes',
                'permissions': (('can_discount_code', 'مدیریت کد های تخفیف'),),
            },
            bases=(models.Model, badi_utils.dynamic_models.BadiModel),
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.BigIntegerField(default=0, verbose_name='Amount')),
                ('type', models.CharField(choices=[('1', 'Buy'), ('+', 'Charge'), ('m', 'Charge by Management'), ('-', 'Refund')], max_length=2, verbose_name='Type')),
                ('info', models.TextField(blank=True, verbose_name='Info')),
                ('date_time', models.DateTimeField(auto_now_add=True, verbose_name='Time')),
                ('subject', models.CharField(blank=True, max_length=255, null=True, verbose_name='Transaction Subject')),
                ('bank_transaction', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='transactions', to='badi_wallet.banktransaction', verbose_name='Bank Transaction')),
                ('discount_code', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='transactions', to='badi_wallet.discountcode', verbose_name='DiscountCode')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='transactions', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Transaction',
                'verbose_name_plural': 'Transactions',
                'permissions': (('can_transaction', 'مدیریت تراکنش ها'),),
            },
            bases=(models.Model, badi_utils.dynamic_models.BadiModel),
        ),
    ]
